tell application "iTunes"
	if selection is not {} then -- there ARE tracks selected...
		set sel to a reference to selection
		if ((count of sel) > 1) then
			activate
			set res to display dialog "Are you sure you want Artwork for more than one track?" buttons {"I know what I'm doing", "Ah, no, thank you!"}
			#if 
			log res
			if button returned of res is not "I know what I'm doing" then
				return
			end if
		end if
		repeat with aTrack in sel
			set tArtist to artist of aTrack
			set tAlbum to album of aTrack
			set queryText to "\"" & tArtist & "\" \"" & tAlbum & "\""
			tell application "Safari"
				activate
				open location "http://google.com/images?q=" & queryText & ""
			end tell
		end repeat
	end if
end tell

